.outer-wrapper {
  position: relative;
  display: flex;

  margin: 20px 0;

  width: 280px;
  height: 64px;
  font-size: 17px;

  .inner-wrapper {
    position: absolute;
    display: flex;
    align-items: center;
    width: 90%;
    height: 48px;

    padding: 0 12px 0 16px;

    background: rgba(0, 0, 0, 0.1);
    border-bottom: 2px solid #3D3B3C;

    label {
      position: absolute;
      left: 16px;
      font-size: 1em;
      user-select: none;
      line-height: 1.15em;
      font-family: 'Roboto', sans-serif;
      pointer-events: none;
      transform-origin: left top;
      transition: transform 100ms ease-out;
    }

    input {
      position: absolute;
      left: 16px;
      top: 5px;
      width: 94%;
      height: 100%;
      padding: 0;
      margin: 0;

      background: none;
      border: none;
      outline: none;

      &:focus {
        border: none;
        outline: none;
        caret-color: var(--accentColor);
      }
    }

    &:focus-within {
      outline: none;
      background: rgba(0, 0, 0, 0.2);
      border-bottom-color: var(--accentColor);
    }

    &:focus-within label, label.elevated {
      transform: translateY(-10px) scale(0.75);
      color: var(--accentColor);
    }

    &.has-error {
      border-bottom-color: var(--errorColor);
    }

    &.has-error label {
      color: var(--errorColor);
    }

  }

  .below-text {
    height: 16px;
    position: absolute;
    bottom: 0;
    left: 12px;
    font-size: 0.8em;
    color: rgba(0, 0, 0, 0.63);

    &.has-error {
      color: var(--errorColor);
    }
  }
}